Bug 253044 - x11/rofi: add wayland fork as slave port
Summary: x11/rofi: add wayland fork as slave port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch
Depends on: 253043
Blocks:
  Show dependency treegraph
 
Reported: 2021-01-27 13:07 UTC by Jan Beich
Modified: 2021-03-16 16:37 UTC (History)
2 users (show)

See Also:
nomoo: maintainer-feedback+


Attachments
v1 (4.45 KB, patch)
2021-01-27 13:07 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2021-01-27 13:07:53 UTC
Created attachment 221961 [details]
v1

Requires USES=meson (bug 253043) and USE_GITHUB=yes. Tested build on 11.4 i386, 12.1 amd64, 12.2 i386, 13.0 amd64 and runtime on Sway.

Upstream doesn't want Wayland support yet, so the fork was created. Given build/install phases don't differ much let's inherit from x11/rofi. Would you like to maintain it?

https://github.com/davatorium/rofi/pull/1139
https://github.com/lbonn/rofi/compare/1.6.1..1.6.1-wayland
Comment 1 Fernando Apesteguía freebsd_committer 2021-02-01 14:06:55 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 2 nomoo 2021-02-05 16:02:32 UTC
Thanks, Jan! Well, i can do that, but currenly i don't have any machines with wayland, so i only can build the port and check for errors.
Comment 3 commit-hook freebsd_committer 2021-03-16 16:36:45 UTC
A commit references this bug:

Author: jbeich
Date: Tue Mar 16 16:35:50 UTC 2021
New revision: 568582
URL: https://svnweb.freebsd.org/changeset/ports/568582

Log:
  x11/rofi-wayland: add new port

  PR:		253044
  Approved by:	nomoo@nomoo.ru (maintainer)

Changes:
  head/x11/Makefile
  head/x11/rofi/Makefile
  head/x11/rofi/distinfo
  head/x11/rofi-wayland/
  head/x11/rofi-wayland/Makefile
  head/x11/rofi-wayland/distinfo